Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCPT2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCPT2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCPT2.m	(revision 636)
@@ -1,3 +1,3 @@
-SCMCPT2 ; GENERATED FROM 'SCMC INCONSISTENT' PRINT TEMPLATE (#1448) ; 12/27/06 ; (FILE 404.57, MARGIN=132)
+SCMCPT2 ; GENERATED FROM 'SCMC INCONSISTENT' PRINT TEMPLATE (#1467) ; 12/25/06 ; (FILE 404.57, MARGIN=132)
  G BEGIN
 N W !
@@ -12,5 +12,5 @@
 BEGIN ;
  S:'$D(DN) DN=1 S DISTP=$G(DISTP),DILCT=$G(DILCT)
- I $D(DXS)<9 M DXS=^DIPT(1448,"DXS")
+ I $D(DXS)<9 M DXS=^DIPT(1467,"DXS")
  S I(0)="^SCTM(404.57,",J(0)=404.57
  W ?0 S X=$P($$GETPRTP^SCAPMCU2(D0,DT),U,2) W $E(X,1,8) K Y(404.57,304)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCPT6.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCPT6.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCPT6.m	(revision 636)
@@ -1,3 +1,3 @@
-SCMCPT6 ; GENERATED FROM 'SCMC DIRECT PC FTEE 1 CLN' PRINT TEMPLATE (#1452) ; 12/27/06 ; (FILE 404.52, MARGIN=132)
+SCMCPT6 ; GENERATED FROM 'SCMC DIRECT PC FTEE 1 CLN' PRINT TEMPLATE (#1471) ; 12/25/06 ; (FILE 404.52, MARGIN=132)
  G BEGIN
 CP G CP^DIO2
@@ -21,5 +21,5 @@
 BEGIN ;
  S:'$D(DN) DN=1 S DISTP=$G(DISTP),DILCT=$G(DILCT)
- I $D(DXS)<9 M DXS=^DIPT(1452,"DXS")
+ I $D(DXS)<9 M DXS=^DIPT(1471,"DXS")
  S I(0)="^SCTM(404.52,",J(0)=404.52
  S X=$G(^SCTM(404.52,D0,0)) W ?0 S Y=$P(X,U,3) S Y=$S(Y="":Y,$D(^VA(200,Y,0))#2:$P(^(0),U),1:Y) W $E(Y,1,15)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCQK1.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCQK1.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCQK1.m	(revision 636)
@@ -1,4 +1,4 @@
-SCMCQK1 ;ALBOI/REW - Single Pt Tm/Pt Tm Pos Assign and Discharge;11/07/02
- ;;5.3;Scheduling;**148,177,231,264,436,297,446,524**;AUG 13, 1993;Build 29
+SCMCQK1 ;ALB/REW - Single Pt Tm/Pt Tm Pos Assign and Discharge ; 07 Oct 2002  12:10 PM  ; Compiled April 12, 2007 10:03:59
+ ;;5.3;Scheduling;**148,177,231,264,436,297,446**;AUG 13, 1993;Build 77
  ;
  ;04/25/2006 SD*5.3*446 INTER-FACILITY TRANSFER
@@ -11,5 +11,5 @@
  G:SCDISCH<1 QTUNTP
  G:'$$CONFIRM() QTUNTP
- S OK=$$INPTSCTP^SCAPMC22(DFN,SCTP,SCDISCH,.SCER)  ; og/sd/524
+ S OK=1 ;$$INPTSCTP^SCAPMC22(DFN,SCTP,SCDISCH,.SCER)
  G:OK'>0 QTUNTP
  S SCCL=$P($G(^SCTM(404.57,+$G(SCTP),0)),U,9)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCTSK1.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCTSK1.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCTSK1.m	(revision 636)
@@ -1,12 +1,12 @@
-SCMCTSK1 ;ALB/JDS - PCMM Inactivations; 18 Apr 2003  9:36 AM ; 10/24/07 12:24pm  ; Compiled January 25, 2008 12:11:43  ; Compiled March 26, 2008 22:27:26
- ;;5.3;Scheduling;**297,498,527,499**;AUG 13, 1993;Build 21
- Q
-INACTIVE ;
- ;Flag patients
- N I,CNT,SC297,TPZ,TYDT,TEAMN,STDT,Q,SDDT,STDD S CNT=0
- D DT^DICRW
- N SD1 S SDDT="" F SD1=DT,DT-1 I $D(^XTMP("SCMCTSK2-"_SD1,$J,"START")) S SDDT=SD1 Q
- I SDDT'>0 D DT^DICRW S SDDT=DT
- S %DT="",X="T-11M" D ^%DT S STDD=+Y
+SCMCTSK1 ;ALB/JDS - PCMM Inactivations; 18 Apr 2003  9:36 AM ; 10/24/07 12:24pm
+ ;;5.3;Scheduling;**297,498,527**;AUG 13, 1993;Build 6
+ Q
+INACTIVE ;run every night to determine if patient can be inactivated from
+ ;team
+ ;Inactivation happens for patients without activity for 24 months
+ N I,CNT,SC297,TPZ,TYDT,TEAMN,STDT,Q S CNT=0
+ D DT^DICRW S %DT="",X="T-11M" D ^%DT S STDT=Y
+ S SC297=$$PDAT^SCMCGU("SD*5.3*297"),X1=DT,X2=SC297 D D^%DTC S SC297=X
+ S X="T-"_$S(SC297>330:"11M",1:"23M") D ^%DT S TYDT=+Y
  S A="^SCPT(404.43,""ADFN""",L=""""""
  S Q=A_")"
@@ -14,70 +14,56 @@
  .S ENTRY=+$P(Q,",",6)
  .S ZERO=$G(^SCPT(404.43,+ENTRY,0))
- .I $P(ZERO,U,15) Q
  .S POS=+$P(ZERO,U,2)
- .I $P(ZERO,U,4) Q  ;UNASS
- .I '$P(ZERO,U,5) Q  ;Not PC
- .I $P(ZERO,U,3)>STDD Q  ;<11 months
- .I $P(ZERO,U,17) Q  ;React
- .;get preceptor
+ .S TEAM=$P(Q,",",4)
+ .;I $P($G(^SCTM(404.51,+TEAM,0)),U,16) Q  ;no automatic for this team
+ .;I $G(^DPT(DFN,.35)) D DIS Q  ;Patient is deceased
+ .I $P(ZERO,U,3)>STDT Q  ;Later
+ .I $P(ZERO,U,17) Q  ;Already reactivated
+ .;get preceptor position
  .S PREC=$$DATES^SCAPMCU1(404.53,+POS),PREC=$S(PREC:$P($G(^SCTM(404.53,+$P(PREC,U,4),0)),U,6),1:+POS)
+ .;see if provider changed
+ .I $O(^SCTM(404.52,"AIDT",+PREC,1,-STDT),-1) Q
+ .I $P(ZERO,U,4) Q  ;Already unassigned
+ .I '$P(ZERO,U,5) Q  ;Not primary care
+ .;I $P(ZERO,U,16) Q  ;No Automatic unassign
+ .;Check if any activity
  .S DFN=$P(Q,",",3)
  .I $G(XPDIDTOT),('(DFN#5)) D UPDATE^XPDID(DFN)
  .S TEAM=$P(Q,",",4),TEAMNM=$P($G(^SCTM(404.51,+TEAM,0)),U)
- .N STDT S %DT="",X="T-12M" D ^%DT S STDT=+Y
- .;N-new or E-est
- .N NEW
- .I $P(ZERO,U,3)<STDT S NEW=0
- .E  S NEW=1
- .N TYDT
- .I NEW N STDT S %DT="",X="T-11M" D ^%DT S STDT=+Y D
- ..S X1=STDT,X2=-7 D C^%DTC S TYDT=X
- .I 'NEW N STDT S %DT="",X="T-23M" D ^%DT S STDT=+Y Q:$P(ZERO,U,3)'<STDT  D
- ..S X1=STDT,X2=-7 D C^%DTC S TYDT=X
- .N PROV,SEEN,PRECP D SEEN(DFN,POS,TYDT,SDDT,.PROV,.PRECP,.SEEN) Q:SEEN
- .;flag
- .S DIE="^SCPT(404.43,",DR=".15////"_SDDT,DA=ENTRY D ^DIE
- .S TPZ=$G(^SCTM(404.57,+POS,2))
- .I "TP"[$P(TPZ,U,9) I $G(PROV) S CNT=CNT+1,^TMP("SCF",$J,PROV,CNT,ENTRY)=""
- .I $P(TPZ,U,10),$G(PRECP) S CNT=CNT+1,^TMP("SCF",$J,PRECP,CNT,ENTRY)=""
- Q
-SEEN(DFN,POS,TYDT,SDDT,PROV,PROVP,SEEN) ;
- S SEEN=0,PROVP=""
- N SCPRO,I,PRO,X,SCPRDTS,SCPR,PREC
- S PROV=+$$GETPRTP^SCAPMCU2(POS,SDDT)
- S SCPRDTS("BEGIN")=TYDT,SCPRDTS("END")=SDDT,SCPRDTS("INCL")=0
+ .D SEEN Q:SEEN
+ .I '$P(ZERO,U,15) D
+ ..S DIE="^SCPT(404.43,",DR=".15////"_DT,DA=ENTRY D ^DIE
+ ..S TPZ=$G(^SCTM(404.57,+POS,2))
+ ..I "TP"[$P(TPZ,U,10) I $G(PROV) S CNT=CNT+1,^TMP("SCF",$J,PROV,CNT,ENTRY)=""
+ ..I $P(TPZ,U,9),$G(PRECP) S CNT=CNT+1,^TMP("SCF",$J,PRECP,CNT,ENTRY)=""
+ Q
+SEEN ;was patient seen
+ S SEEN=0
+ N SCPRO,I,PRECP,PRO
+ N X,SCPRDTS,SCPR
+ ;get list of providers for this position
+ S PROV=+$$GETPRTP^SCAPMCU2(POS,DT) S SCPRO(+PROV)=""
+ S SCPRDTS("BEGIN")=TYDT
+ S SCPRDTS("END")=DT
  S X=$$PRTP^SCAPMC(POS,"SCPRDTS","SCPR")
- S I=0 F  S I=$O(SCPR(I)) Q:'I  S SCPRO(+SCPR(I))="",SCPRO(+SCPR(I),I)=$P(SCPR(I),U,9,10) D
- .S PREC=$P(SCPR(I),U,12)
- .I PREC,PREC'=POS S PROVP=+$$GETPRTP^SCAPMCU2(PREC,SDDT) S SCPRO(+PROVP)="" S SCPRO(+PROVP,I)=$P(SCPR(I),U,9,10)
+ F I=0:0 S I=$O(SCPR(I)) Q:'I  S SCPRO(+SCPR(I))=""
+ S PRECP=0 I $G(PREC),$G(PREC)'=POS S PRECP=+$$GETPRTP^SCAPMCU2(PREC,DT),SCPRO(+PRECP)=""
  F I=TYDT:0 S I=$O(^SCE("ADFN",DFN,I)) Q:'I  D  Q:SEEN
- .S J=0 F  S J=$O(^SCE("ADFN",DFN,I,J)) Q:'J  D  Q:SEEN
+ .F J=0:0 S J=$O(^SCE("ADFN",DFN,I,J)) Q:'J  D  Q:SEEN
  ..N VISIT S VISIT=+$P($G(^SCE(J,0)),U,5) I $G(^SCE(J,0))<$G(TYDT) Q
- ..S PRO=0 F  S PRO=$O(SCPRO(PRO)) Q:'PRO  D  Q:SEEN
- ...I $D(^SDD(409.44,"AO",J,$G(PRO))) D CHK I SEEN=1 Q
- ...N V F V=0:0 S V=$O(^AUPNVPRV("AD",VISIT,V)) Q:'V  I PRO=(+$G(^AUPNVPRV(V,0))) D CHK I SEEN=1 Q
- Q
-CHK ;
- N SDX S SDX="" F  S SDX=$O(SCPRO(PRO,SDX)) Q:SDX=""  D  Q:SEEN
- .I $P(SCPRO(PRO,SDX),U,2)="" D  Q
- ..I I'<$P(SCPRO(PRO,SDX),U) S SEEN=1
- .I I'<TYDT&(I'>$P(SCPRO(PRO,SDX),U,2)) S SEEN=1
- Q
-DIS ;disch
+ ..F PRO=0:0 S PRO=$O(SCPRO(PRO)) Q:'PRO  D  Q:SEEN
+ ...I $D(^SDD(409.44,"AO",J,$G(PRO))) S SEEN=1 Q  ;GET THE PROVIDERJ
+ ...N V F V=0:0 S V=$O(^AUPNVPRV("AD",VISIT,V)) Q:'V  I PRO=(+$G(^AUPNVPRV(V,0))) S SEEN=1 Q
+ Q
+DIS ;discharge
  N ZERO S ZERO=$G(^SCPT(404.43,+ENTRY,0))
- I $P(ZERO,U,4) Q
+ I $P(ZERO,U,4) Q  ;Already discharged
  D DIS2^SCMCTSK7
  Q
-CHKENR(DATA,INFO) ;check if patient enrolled in teamposition clinic
- S DATA(0)=-1
- Q
-EXTEND(DATA,SCTEAM) ;to inact. in next 60 days
+EXTEND(DATA,SCTEAM) ;return list of patients to inactivate in next 60 days
  ;IEN^POSITION^PATIENT^EXTENDED^REASON
  K DATA,SCDATA,SDDATA
  N CNT,I,J,K,A,POSA S CNT=1 S SCTEAM=$G(SCTEAM),DATA(1)="<DATA>"
- D DT^DICRW
- N SD1 S SDDT="" F SD1=DT,DT-1 I $D(^XTMP("SCMCTSK2-"_SD1,$J,"START")) S SDDT=SD1 Q
- I SDDT'>0 D DT^DICRW S SDDT=DT
- S X="T-9M" D ^%DT S STDT=Y
+ D DT^DICRW S X="T-9M" D ^%DT S STDT=Y
  S X="T-21M" D ^%DT S TYDT=+Y  ;MAKE THIS 21
  S POSA=""
@@ -91,7 +77,7 @@
  .S CNT=CNT+1
  Q
-POS I '$$DATES^SCAPMCU1(404.59,POS) Q  ;Position inact
+POS I '$$DATES^SCAPMCU1(404.59,POS) Q   ;Not an active position
  I '$P($G(^SCTM(404.57,POS,0)),U,4) Q  ;Not PC
- ;patients for position
+ ;get patients for this position
  K ^TMP("SC TMP LIST",$J)
  S X=$$PTTP^SCAPMC(POS,"",.SCLIST,.SCERR)
@@ -101,5 +87,5 @@
  .I '$P($G(^SCPT(404.43,+$P(SCDATA,U,3),0)),U,15) Q
  .S DFN=+SCDATA
- .D SEEN(DFN,POS,TYDT,SDDT,.PROV,.PRECP,.SEEN) Q:SEEN
+ .D SEEN Q:SEEN
  .S SDDATA($P($G(^SCTM(404.57,POS,0)),U),$P(SCDATA,U,2),+SCDATA)=SCDATA,CNT=CNT+1
  K @SCLIST
@@ -107,5 +93,5 @@
 FILE(RES,DATA) ;File data on FTEE
  N I
- F I=1:1 Q:'$D(DATA(I))  D
+ F I=1:1 Q:'$D(DATA(I))   D
  .S $P(DATA(I),U,7)=$TR($P(DATA(I),U,7),"[]")
  .S ZERO=$G(^SCPT(404.43,+DATA(I),0))
@@ -116,5 +102,5 @@
  I $O(FLDA(0)) D FILE^DIE("E","FLDA","ERR")
  Q
-SCREEN ;Active assign. screen
+SCREEN ;Screen for active assignments
  N A S A=$G(^SCTM(404.52,D0,0))
  N J S J=-(DT+1),J=$O(^SCTM(404.52,"AIDT",+A,1,J)) I J="" S X=0 Q
@@ -124,5 +110,5 @@
  I '$D(^SCTM(404.52,"AIDT",+A,1,J,D0)) S X=0 Q
  S X=1 Q
-SUM(PR,POSI) ;get pos for prov
+SUM(PR,POSI) ; get positions for this provider
  N I,INS,ZERO,SCA,TEAM,FTEE,Z
  S I="",FTEE=0
@@ -139,16 +125,16 @@
  .S FTEE=FTEE+$P(ZERO,U,9)
  Q FTEE
-FTEECHK(DATA,PAIEN) ;check Ftee>1
+FTEECHK(DATA,PAIEN) ;check Ftee greater than 1
  N A S A=$G(^SCTM(404.52,+PAIEN,0)),FTEE=$$SUM(+$P(PAIEN,U,3),+A)
  S DATA=0
  S DATA=FTEE+$P(PAIEN,U,2)
  Q
-SORT(DIPA,SDD) ;sort tmpl
- N DIC
+SORT ;sort template
+ N DIC,DIPA
  S DIC=4,DIC(0)="ZME"
  S DIC("S")="I $D(^SCTM(404.51,""AINST"",+Y))"
  S DIR("A")="Start with Institution",DIR("B")="FIRST",DIR(0)="F" D ^DIR
- I X="FIRST" S DIPA("SI")="",DIPA("EI")="zzz",SDD=1 Q
- D ^DIC I Y<0 S DIPA("SI")=X S SDD=X Q:SDD[U  D
+ I X="FIRST" S DIPA("SI")="",DIPA("EI")="zzz",X=1 Q
+ D ^DIC I Y<0 S DIPA("SI")=X Q:X[U  D
  .S DIR("A")="Go to Institutiton",DIR("B")="LAST" S DIR(0)="F" D ^DIR
  .I X="LAST" S DIPA("EI")="zzz"
@@ -156,6 +142,6 @@
  D ^DIC
  I Y>0 S DIPA("EI")=$P(Y(0),U)
- I Y<0 S DIPA("EI")=X S SDD=X Q:SDD[U
- S SDD=1 Q
+ I Y<0 S DIPA("EI")=X Q:X[U
+ S X=1 Q
 FTEERPT ;FTEE REPORT
  D FTERPT^SCMCTSK6 Q
@@ -169,5 +155,5 @@
  S DATA=0
  I ('INFO)!('$P(INFO,U,2)) Q
- ;Is provider role acceptable?
+ ;Check if provider can be in this role.
  S J=-(DT+1) S J=$O(^SCTM(404.52,"AIDT",+INFO,1,J)) Q:J=""
  I $O(^SCTM(404.52,"AIDT",+INFO,0,-(DT+1)))<J Q
@@ -191,22 +177,26 @@
  S SCDFN=+Y W !,SCDFN
 SCDFN S SC1="^SCPT(404.43,""APCPOS"",SCDFN,1)"
- ;quit if no PC assign
+ ;
+ ;quit if no PC assignments
  Q:'$D(@SC1)
  S SCADT=0
  F  S SCADT=$O(@SC1@(SCADT)) Q:SCADT=""  D
- .S SCTP=0
- .F  S SCTP=$O(@SC1@(SCADT,SCTP)) Q:'SCTP  D
- ..; quit if team position does not exist
- ..Q:'$D(^SCTM(404.57,SCTP,0))
- ..S SCPAI=0
- ..F  S SCPAI=$O(@SC1@(SCADT,SCTP,SCPAI)) Q:'SCPAI  D
- ...S SCDDT=$P($G(^SCPT(404.43,SCPAI,0)),U,4)
- ...;quit if not active within date range
- ...Q:$$DTCHK^SCAPU1(SC177,DT,0,SCADT,SCDDT)<1
- ...N SCVAR S SCVAR=SCPAI_";SCPT(404.43,"
- ...;add to HL7 event file
- ...Q:$D(^SCPT(404.48,"AACXMIT",SCVAR))
- ...Q:$$CHECK^SCMCHLB1(SCVAR)'=1
- ...D ADD^SCMCHLE("NOW",SCVAR,SCDFN,SCTP)
+ . S SCTP=0
+ . F  S SCTP=$O(@SC1@(SCADT,SCTP)) Q:'SCTP  D
+ . . ;
+ . . ; quit if team position does not exist
+ . . Q:'$D(^SCTM(404.57,SCTP,0))
+ . . S SCPAI=0
+ . . F  S SCPAI=$O(@SC1@(SCADT,SCTP,SCPAI)) Q:'SCPAI  D
+ . . . S SCDDT=$P($G(^SCPT(404.43,SCPAI,0)),U,4)
+ . . . ;
+ . . . ; quit if not active within date range
+ . . . Q:$$DTCHK^SCAPU1(SC177,DT,0,SCADT,SCDDT)<1
+ . . . N SCVAR S SCVAR=SCPAI_";SCPT(404.43,"
+ . . . ;
+ . . . ; add to HL7 event file
+ . . . Q:$D(^SCPT(404.48,"AACXMIT",SCVAR))
+ . . . Q:$$CHECK^SCMCHLB1(SCVAR)'=1
+ . . . D ADD^SCMCHLE("NOW",SCVAR,SCDFN,SCTP)
  Q
 PRSEED ;seed practitioner
@@ -214,6 +204,7 @@
  S SC177=$$PDAT^SCMCGU("SD*5.3*177")
  I +SC177=0 D  Q
- . S SC2=" No SD*5.3*177 Installation Date."
+ . S SC2="  Unable to obtain SD*5.3*177 Installation Date."
  . D MSG^SCMCCV6(SC1,SC2)
+ . Q
  S DIC=200,DIC(0)="MEQA",DIC("A")="Select Provider: " D ^DIC Q:Y'>0
  S SCPROV=+Y
@@ -230,5 +221,5 @@
  . D ADD^SCMCHLE("NOW",SCVAR,,AH,1)
  Q
-INCON ;inconsistent PC assignments
+INCON ;get list of incositent provider assignments
  N POS
  D INCON^SCMCTSK3
@@ -240,4 +231,11 @@
  D EN1^DIP
  Q
+CHKENR(DATA,INFO) ;check if patient enrolled in teamposition clinic
+ S DATA(0)=-1
+ N I
+ N POS,DFN S DFN=+$G(INFO) Q:'DFN  S POS=+$P($G(INFO),U,2) Q:'POS
+ F I=0:0 S I=$O(^SCTM(404.57,POS,5,I)) Q:'I  D CECHK^SCRPPAT2(I,.CNAME,DFN) I $L(CNAME) S:DATA(0)=-1 DATA(0)="" S DATA(0)=DATA(0)_CNAME_"."
+ I DATA(0)'=-1 S DATA(0)=$E(DATA(0),1,$L(DATA(0))-2)
+ Q
 INACTDT(PA) ;Scheduled inactivation date.
  D INACT^SCMCTSK3 Q
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCTSK2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCTSK2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCTSK2.m	(revision 636)
@@ -1,91 +1,85 @@
-SCMCTSK2 ;ALB/JDS - PCMM Inactivation Nightly Job; 18 Apr 2003  9:36 AM ; 10/24/07 12:23pm  ; Compiled November 21, 2007 13:32:47  ; Compiled March 17, 2008 15:27:15
- ;;5.3;Scheduling;**297,498,527,499**;AUG 13, 1993;Build 21
- Q
-NIGHT ;
- N ENDDT,NOINAC,SIXM,FLGDT,L,PATDT,SEEN,SDDT
- D DT^DICRW S SDDT=$P($G(^XTMP("SCMCTSK2-"_DT,0)),U,2)
- I SDDT="" S SDDT=DT
- S ALPHA=$G(^SCTM(404.44,1,1)),ALPHA=$P(ALPHA,U,8) I ALPHA<SDDT S ALPHA=0
- ;if 'ALPHA NOINAC=1 except 15th and the Last Day of a Month (LDoM)
- ;inact only on 15th and on LDoM
- S NOINAC=0
- I 'ALPHA  S X1=SDDT,X2=1 D C^%DTC I ($E(SDDT,6,7)'=15)&($E(SDDT,1,5)=$E(X,1,5)) S NOINAC=1
- I 'ALPHA D INACTIVE^SCMCTSK1
+SCMCTSK2 ;ALB/JDS - PCMM Inactivation Nightly Job; 18 Apr 2003  9:36 AM ; 10/24/07 12:23pm
+ ;;5.3;Scheduling;**297,498,527**;AUG 13, 1993;Build 6
+ Q
+NIGHT ;nightly task for inact.
+ N ENDDT,NOINAC,SIXM,FLGDT,L,PATDT,SEEN
+ K ^TMP("SCTSK",$J)
+ D DT^DICRW
+ S ALPHA=$G(^SCTM(404.44,1,1)),ALPHA=$P(ALPHA,U,8) I ALPHA<DT S ALPHA=0
+ ;check if this is last day of month
+ S X1=DT,X2=1 D C^%DTC I $E(DT,1,5)'=$E(X,1,5) I 'ALPHA D INACTIVE^SCMCTSK1
  S SIXM=$P($G(^SCTM(404.44,1,1)),U,9)
  I SIXM D PRFLAG
  I ALPHA D INACTIVE^SCMCTSK1
- ;determine ENDDT-Inactn Date-30 days if flagged today
- F DATE=0:0 S DATE=$O(^SCPT(404.43,"AFLG",DATE)) Q:'DATE  D
+ S NOINAC=0 I 'ALPHA  S X1=DT,X2=1 D C^%DTC I ($E(DT,6,7)'=15)&($E(DT,1,5)=$E(X,1,5)) S NOINAC=1
+ ;check for 60 days after flagged for inact.
+ S X1=DT,X2=$S(ALPHA:-2,1:-30) D C^%DTC S ENDDT=X
+ F DATE=0:0 S DATE=$O(^SCPT(404.43,"AFLG",DATE)) Q:(('DATE)!(('NOINAC)&(DATE>ENDDT)))  D
  .F ENTRY=0:0 S ENTRY=$O(^SCPT(404.43,"AFLG",DATE,ENTRY)) Q:'ENTRY  D
  ..S ZERO=$G(^SCPT(404.43,ENTRY,0)) Q:'ZERO
  ..S DFN=+$G(^SCPT(404.42,+ZERO,0)) Q:'DFN
  ..S POS=$P(ZERO,U,2)
- ..I $P(ZERO,U,4) D UNFLG Q  ;unass.
- ..S X1=DATE,X2=$S(ALPHA:+2,1:+30) D C^%DTC S ENDDT=X
- ..N SDASS S SDASS=$P(ZERO,U,3)
- ..;N-new or E-stbl.
- ..;assig >12 months since flagging, not NEW, E-stbl)
- ..N NEW
- ..S NEW=0 S X1=DATE,X2=SDASS D ^%DTC I X<365 S NEW=1
- ..I NEW S %DT="",X="T-12M" D ^%DT S STDT=+Y D
- ...S X1=STDT,X2=-7 D C^%DTC S TYDT=X
- ..I 'NEW S %DT="",X="T-24M" D ^%DT S STDT=+Y D
- ...S X1=STDT,X2=-7 D C^%DTC S TYDT=X
- ..;
- ..I $P(ZERO,U,17) D UNFLG Q  ;react.
- ..;get prec 
- ..;S %DT="",X="T-12M" D ^%DT S STDT=+Y
- ..;S PREC=$$DATES^SCAPMCU1(404.53,+POS),PREC=$S(PREC:$P($G(^SCTM(404.53,+$P(PREC,U,4),0)),U,6),1:+POS)
- ..I '$P(ZERO,U,5) D UNFLG Q  ;Not PC
- ..D SEEN^SCMCTSK1(DFN,POS,TYDT,SDDT,.PROV,.PRECP,.SEEN)
- ..;S PC=$$GET^XUA4A72(+PROV)
- ..I SEEN D UNFLG Q
- ..I $P(ZERO,U,13) S X1=DATE,X2=$S(ALPHA:4,1:90) D C^%DTC S FLGDT=X I FLGDT>SDDT Q  ;do not inactivate yet; extended
- ..I ('NOINAC)&(SDDT'<ENDDT) D DIS^SCMCTSK1
- ;flag prov 6m after install sd/297
- I NOINAC D:ALPHA BULL I '$D(^SCPT(404.43,"AFLG",SDDT)) K ^TMP($J,"SCMCTSK2") Q
- ;flag prov 6m after install sd/297
- I SIXM,SIXM'>SDDT D
+ ..I $P(ZERO,U,4) D UNFLG Q  ;already unassigned
+ ..I $P(ZERO,U,13) S X1=DATE,X2=$S(ALPHA:4,1:90) D C^%DTC S FLGDT=X I FLGDT>DT Q    ;ext
+ ..;check if criteria still met
+ ..I $P(ZERO,U,17) D UNFLG Q  ;Already reactivated
+ ..;get preceptor position
+ ..S %DT="",X="T-12M" D ^%DT S STDT=+Y
+ ..S PREC=$$DATES^SCAPMCU1(404.53,+POS),PREC=$S(PREC:$P($G(^SCTM(404.53,+$P(PREC,U,4),0)),U,6),1:+POS)
+ ..;see if provider changed
+ ..I $O(^SCTM(404.52,"AIDT",+PREC,1,-STDT),-1) D UNFLG Q
+ ..I '$P(ZERO,U,5) D UNFLG Q  ;Not primary care
+ ..S PROV=+$$GETPRTP^SCAPMCU2(POS,DT)
+ ..S PC=$$GET^XUA4A72(+PROV)
+ ..S SC297=$$PDAT^SCMCGU("SD*5.3*297")
+ ..N NEW S NEW=$S($P(ZERO,U,3)<SC297:0,1:1)   ;D D^%DTC S NEW=$S(X>330:0,1:1)
+ ..S X1=DT,X2=SC297 D D^%DTC S SC297=X
+ ..S X="T-"_$S(SC297>365:"11M",NEW:"11M",1:"23M") D ^%DT S TYDT=+Y D SEEN^SCMCTSK1 I $G(SEEN) D UNFLG Q 
+ ..S X="T-"_$S(SC297>365:"12M",NEW:"12M",1:"24M") D ^%DT S TYDT=+Y D SEEN^SCMCTSK1 I $G(SEEN) D:(DATE>ENDDT) UNFLG Q
+ ..I ('NOINAC)&(DATE'>ENDDT) D DIS^SCMCTSK1
+ ..;D MSG(POS,DFN)
+ ;if 6 months after installation check to flag providers
+ I NOINAC D:ALPHA BULL Q
+ S PATDT=$$PDAT^SCMCGU("SD*5.3*297") Q:'PATDT
+ I SIXM,SIXM'>DT D
  .D PRINAC
  .N FLDA
  .S FLDA(404.44,"1,",19)=""
  .D FILE^DIE("I","FLDA","ERR")
- D BULL K ^TMP($J,"SCMCTSK2")
- Q
-UNFLG ;Unflagging
+ D BULL
+ Q
+UNFLG ;Remove the flag
  N DR,DIE,DA
  S DR=".15///@;.13///@;.12///@",DIE="^SCPT(404.43,",DA=ENTRY D ^DIE
  Q
-PRFLAG ;flag incorrect provider pos
+PRFLAG ;flag incorrect provider positions
  N POS
- ;prov inact. has run once
+ ;provider inactivation has run once
  I $P($G(^SCTM(404.44,1,1)),U,11)'="" Q
  D PRFLAG^SCMCTSK3
  Q
-PRINAC ;inact. flagged providers
+PRINAC ;inactivate flagged providers
  N I,II
- ;Prov inact. run already
- I $G(SDDT)="" S SDDT=DT
- S II=$P($G(^SCTM(404.44,1,1)),U,11) I II'="",II'=SDDT Q
+ ;Provider inactivation run already
+ S II=$P($G(^SCTM(404.44,1,1)),U,11) I II'="",II'=DT Q
  F I=0:0 S I=$O(^SCTM(404.52,I)) Q:'I  S ZERO=$G(^(I,0)) I $P(ZERO,U,10) D
  .;I $P(ZERO,U,10)>$G(ENDT) Q   ;not time yet
- .I $O(^SCTM(404.52,"AIDT",+ZERO,0,-9999999))<(-$P(ZERO,U,2)) Q   ;inactivated
- .;Check valid criteria
+ .I $O(^SCTM(404.52,"AIDT",+ZERO,0,-9999999))<(-$P(ZERO,U,2)) Q   ;already inactivated
+ .;Check if criteria still valid
  .S POS=+ZERO
- .S PROV=+$$GETPRTP^SCAPMCU2(POS,SDDT)
+ .S PROV=+$$GETPRTP^SCAPMCU2(POS,DT)
  .S PC=$$GET^XUA4A72(+PROV)
  .S DR=".091///@",DIE="^SCTM(404.52,",DA=I D ^DIE  ;remove flag
  .S ZERO1=$G(^SCTM(404.57,POS,0))
  .I '$D(^SD(403.46,+$P(ZERO1,U,3),2,+PC)) D
- ..;inactivation
- ..S DIC="^SCTM(404.52,",X=+ZERO,DIC("DR")=".02////"_SDDT_";.03////"_$P(ZERO,U,3)_";.04////0;.05///EMPLOYEE LEAVES POSITION;.11////1"
+ ..;enter the inactivation
+ ..S DIC="^SCTM(404.52,",X=+ZERO,DIC("DR")=".02////"_DT_";.03////"_$P(ZERO,U,3)_";.04////0;.05///EMPLOYEE LEAVES POSITION;.11////1"
  ..S DIC(0)="LM" D ^DIC
- ;only run inact. once
- S $P(^SCTM(404.44,1,1),U,11)=SDDT
- Q
-FUTAPP(DFN) ;print future appts
+ ;only run the inactivation once.
+ S $P(^SCTM(404.44,1,1),U,11)=DT
+ Q
+FUTAPP(DFN) ;print future appointments
  N TAB,SCDT0 S TAB=$X
- I $G(SDDT)="" S SDDT=DT
- S SCDT=SDDT+.24
+ S SCDT=DT+.24
  F  S SCDT=$O(^DPT(DFN,"S",SCDT)) Q:'SCDT  D
  . S SCDT0=$G(^DPT(DFN,"S",SCDT,0)) Q:$L($P(SCDT0,U,2))
@@ -93,29 +87,28 @@
  . S Y=SCDT X ^DD("DD") W $E(Y_" ",1,17)_" "_$E($P($G(^SC(+CLIEN,0)),U),1,10)
  Q
-GETASC(DATA,ENTRY) ;get assoc. clinics
+GETASC(DATA,ENTRY) ;get associated clinics
  N I,CNT S CNT=0
  F I=0:0 S I=$O(^SCTM(404.57,+$G(ENTRY),5,I)) Q:'I  S CNT=CNT+1,DATA(CNT)=I_U_$P($G(^SC(I,0)),U)
  Q
-SETASC(RESULT,DATA) ;set assoc. clinics
+SETASC(RESULT,DATA) ;set associated clinics
  D SETASC^SCMCTSK7(.RESULT,DATA) Q
-MSG(SCTP,DFN) ;send inact. message
- ;given valid positions get current practitioners
+MSG(SCTP,DFN) ;send inactivation message
+         ;given list of valid positions get current practitioners
  S SCLIST="SCL"
- I $G(SDDT)="" S SDDT=DT
  I "N"'[$P($G(^SCTM(404.57,SCTP,2)),U,9) D
  .S SCOK=$$PRTP^SCAPMC(SCTP,"",.SCLIST,.SCERR)
  .;if preceptor notice turned on for message type
  I +$P($G(^SCTM(404.57,SCTP,2)),U,9) D
- .S SCX=+$$OKPREC2^SCMCLK(SCTP,SDDT)
+ .S SCX=+$$OKPREC2^SCMCLK(SCTP,DT)
  .;if preceptor duz returned, add to array
  .I SCX S @SCLIST@("SCPR",SCX)=""
  N XMY F I=0:0 S I=$O(@SCLIST@("SCPR",I)) Q:'I  S XMY(I)=""
- S SCTEXT(1,0)="PATIENT "_$P($G(^DPT(DFN,0)),U)_" has been inactivated from PC team position "_$P($G(^SCTM(404.57,SCTP,0)),U)
+ S SCTEXT(1,0)="PATIENT "_$P($G(^DPT(DFN,0)),U)_" has been inactivated from primary care team position "_$P($G(^SCTM(404.57,SCTP,0)),U)
  S XMSUB="Provider's Inactivated Primary Care Patients" D ^XMD
  Q
-BULL ;EOM Bulletin
+BULL ;end of Month Bulletin
  N DISUPNO,BY,DHIT,HEAD
  S DISUPNO=1,L=0
- S XMSUB="Patients Scheduled for Inactivation from PC Panel"
+ S XMSUB="Patients Scheduled for Inactivation from Primary Care Panel"
  S XMY("G.PCMM PATIENT/PROVIDER INACTIVE")=""
  K ^TMP("SCMC",$J),^TMP("SCMCTXT",$J),^TMP("SCML",$J)
@@ -130,9 +123,9 @@
  .K XMY S XMY(SCI)="" K ^TMP("SCMC",$J),^TMP("SCMCTXT",$J)
  .M ^TMP("SCMC",$J)=^TMP("SCF",$J,SCI)
- .S XMSUB="Patients Scheduled for Inactivation from PC Panel"
+ .S XMSUB="Patients Scheduled for Inactivation from Primary Care Panel"
  .S XMTEXT="^TMP(""SCMCTXT"",$J,"
+ .;D LINES(1) D ^XMD
  S DISUPNO=1
  K ^TMP("SCMC",$J),^TMP("SCMCTXT")
- I $G(NOINAC) K ^TMP($J,"SCMCTSK2") Q  ; SD/499
  S XMSUB="Patients With Extended PCMM Inactivation Dates"
  S XMY("G.PCMM PATIENT/PROVIDER INACTIVE")=""
@@ -147,5 +140,5 @@
  S DISUPNO=1
  K ^TMP("SCMC",$J),^TMP("SCMCTXT")
- S XMSUB="Patients Automated Inactivations from PC Panels"
+ S XMSUB="Patients Automated Inactivations from Primary Care Panels"
  S XMY("G.PCMM PATIENT/PROVIDER INACTIVE")=""
  K ^TMP("SCMC",$J)
@@ -160,5 +153,5 @@
  K ^TMP("SCMC",$J),^TMP("SCMCTXT")
  I $P($G(^SCTM(404.44,1,1)),U,11)="" D
- . S XMSUB="PC Providers Scheduled for Inactivation"
+ . S XMSUB="Primary Care Providers Scheduled for Inactivation"
  . S XMY("G.PCMM PATIENT/PROVIDER INACTIVE")=""
  . K ^TMP("SCMC",$J)
@@ -189,5 +182,5 @@
 INRPT  ; REPORT
  N DIOEND,SCDHD
- D PROMPT^SCMCTSK3("** Date Range Selection **","DATE PATIENTS INACTIVATED FROM PC PANELS")
+ D PROMPT^SCMCTSK3("**** Date Range Selection ****","DATE PATIENTS INACTIVATED FROM PRIMARY CARE PANELS")
  Q:'$D(^TMP("SC",$J,"XR"))
  D UNASSIGN^SCMCTSK3
@@ -201,6 +194,6 @@
  D EN1^DIP
  Q
-IN30 ;inact. last month
- N DIPA,SDD D SORT^SCMCTSK1(.DIPA,.SDD) Q:'SDD  ;SD/499
+IN30 ;inactivated last month
+ D SORT^SCMCTSK1 Q:'X
  S Q=""""
  S DIC="^SCPT(404.43,",L=0,BY="[SCMC INACTIVATION SORT]"
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCTSK3.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCTSK3.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCTSK3.m	(revision 636)
@@ -1,4 +1,4 @@
-SCMCTSK3 ;ALB/JDS - PCMM Inactivation Reports ; 7/19/05 10:06am  ; Compiled June 7, 2007 13:57:55  ; Compiled February 12, 2008 11:46:47
- ;;5.3;Scheduling;**297,499**;AUG 13, 1993;Build 21
+SCMCTSK3 ;ALB/JDS - PCMM Inactivation Reports ; 7/19/05 10:06am
+ ;;5.3;Scheduling;**297**;AUG 13, 1993
  Q
 SORTP  ;sort template
@@ -78,5 +78,5 @@
  .D SUBT^SCRPW50(DATESORT)
  .S SCBDT("B")="T-30",SCEDT("B")="TODAY"
- .I (DATESORT["Scheduled Ina")!(DATESORT["Scheduled for Inactivation") S SCEDT("B")="T+60"
+ .I (DATESORT["Scheduled Ina")!(DATESORT["Scheduled for Inactivation") S SCEDT("B")="T+30"
  S LIST="DIV,TEAM,POS,ASPR"
  ;D SUBT^SCRPW50("**** Date Range Selection ****")
@@ -210,12 +210,7 @@
  .I '$D(^SD(403.46,+$P(ZERO,U,3),2,+PC)) S ^TMP("SCMCTSK",$J,POSH)="Person Class is not valid for this role"
  F POS=0:0 S POS=$O(^TMP("SCMCTSK",$J,POS)) Q:'POS  S FLDA(404.52,POS_",",.091)=DT
-VERPR ;verify already flagged positions; SD/499 replaced "AFLG" with "AFLAG"
- N II,POSH S II="" F  S II=$O(^SCTM(404.52,"AFLAG",II)) Q:'II  S POSH=""  F  S POSH=$O(^SCTM(404.52,"AFLAG",II,POSH)) Q:'POSH  D
- .N ZERO,ZEROTP S ZERO=$G(^SCTM(404.52,POSH,0))
+ F I=0:0 S I=$O(^SCTM(404.52,"AFLG",I)) Q:'I  F POSH=0:0 S POSH=$O(^SCTM(404.52,"AFLG",I,POSH)) Q:'POSH  D
+ .N ZERO S ZERO=$G(^SCTM(404.52,POSH,0))
  .I '$P(ZERO,U,4) S FLDA(404.52,POSH_",",.091)="" Q
- .;SD/499; added verification of the POSSIBLE PRIMARY PRACTITIONER field
- .;in the TEAM POSITION file
- .N TP S TP=$P(ZERO,U) S ZEROTP=$G(^SCTM(404.57,TP,0))
- .I '$P(ZEROTP,U,4) S FLDA(404.52,POSH_",",.091)="" Q
  .I (-$O(^SCTM(404.52,"AIDT",+ZERO,0,-9999999)))>$P(ZERO,U,2) S FLDA(404.52,POSH_",",.091)=""
  I $O(FLDA(0)) D FILE^DIE("I","FLDA","ERR")
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCTSK4.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCTSK4.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCTSK4.m	(revision 636)
@@ -1,4 +1,4 @@
 SCMCTSK4 ;ALB/JDS - PCMM Inactivation Reports ; 18 Apr 2003  9:36 AM
- ;;5.3;Scheduling;**297,526**;AUG 13, 1993;Build 8
+ ;;5.3;Scheduling;**297**;AUG 13, 1993
  Q
 POSCHK ;
@@ -30,5 +30,5 @@
  W !,"   Field Name              Explanation of field name"
  W !,"   Patient Name            Name of patient scheduled to be inactivated from their primary care team and position/provider"
- W !,"   SSN                     Patient SSN."
+ W !,"   SSN                     Patient's last 4 Social Security numbers."
  W !,"   PC Team                 Patient's assigned Primary Care team in PCMM."
  W !,"   Provider                Name of primary care practitioner/provider currently assigned to the patient.  This will be an"
@@ -56,5 +56,5 @@
  W !,"  Field Name              Explanation of field name"
  W !,"  Patient Name            Name of patient scheduled to be inactivated from their primary care team and position/provider."
- W !,"  SSN                     Patient SSN."
+ W !,"  SSN                     Patient's last 4 SSN numbers."
  W !,"  Institution             Institution name, previously called Division, in which patient receives primary care."
  W !,"  PC Team                 Patient's assigned Primary Care team in PCMM."
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCTSK9.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCTSK9.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCTSK9.m	(revision 636)
@@ -1,4 +1,4 @@
 SCMCTSK9 ;;BP/DMR - PCMM ; 18 Apr 2003  9:36 AM
- ;;5.3;Scheduling;**297,526**;AUG 13, 1993;Build 8
+ ;;5.3;Scheduling;**297**;AUG 13, 1993
  Q
 EXTKEY ;
@@ -10,5 +10,5 @@
  W !
  W !,"Patient Name          Name of patient scheduled to be inactivated from their primary care team and position/provider."
- W !,"SSN                   SSN number."
+ W !,"SSN                   Patient's last 4 SSN numbers."
  W !,"Institution           Institution name, previously called Division, in which patient receives primary care."
  W !,"PC Team               The patient's assigned Primary Care team in PCMM."
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCYPC.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMCYPC.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMCYPC.m	(revision 636)
@@ -1,3 +1,3 @@
-SCMCYPC ; GENERATED FROM 'SCMC DIRECT PC FTEE' PRINT TEMPLATE (#1320) ; 12/27/06 ; (FILE 404.52, MARGIN=132)
+SCMCYPC ; GENERATED FROM 'SCMC DIRECT PC FTEE' PRINT TEMPLATE (#1320) ; 12/25/06 ; (FILE 404.52, MARGIN=132)
  G BEGIN
 CP G CP^DIO2
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMSVUT2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCMSVUT2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCMSVUT2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCMSVUT2 ;ALB/JLU;Utility routine for AMBCARE;06/28/99
- ;;5.3;Scheduling;**66,180,254,293,325,466,521**;AUG 13,1993;Build 1
+ ;;5.3;Scheduling;**66,180,254,293,325,466**;AUG 13,1993;Build 2
  ;06/28/99 ACS Added CPT modifier validation
  ;
@@ -195,8 +195,8 @@
  I STDT="" Q 0
  S STDT=$$FMDATE^HLFNC(STDT)
- S X=STDT,%DT="X" D ^%DT I Y=-1 Q 0  ;SD/521 added %DT
+ S X=STDT D ^%DT I Y=-1 Q 0
  I ENDT="" Q 1
  S ENDT=$$FMDATE^HLFNC(ENDT)
- S X=ENDT,%DT="X" D ^%DT I Y=-1 Q 0  ;SD/521 added %DT
+ S X=ENDT D ^%DT I Y=-1 Q 0
  I $$FMDIFF^XLFDT(ENDT,STDT,1)<0 Q 0
  Q 1
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPBK11.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPBK11.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPBK11.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPBK11 ;MJK/ALB - RPC Broker Utilities ; 27 FEB 96
- ;;5.3;Scheduling;**41,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41**;AUG 13, 1993
  ;
 GETSEL(SCDATA,SCTYPE,SCIEN) ; 
@@ -83,7 +83,7 @@
  D SET("    Division: "_$S($G(SC(SCFLE,SCIEN,3.5))]"":SC(SCFLE,SCIEN,3.5),1:SCDEF),.SCINC,.SCDATA)
  D SET(" ",.SCINC,.SCDATA)
- D SET("Associated Teams and Positions:",.SCINC,.SCDATA)
+ D SET("Assoicated Teams and Positions:",.SCINC,.SCDATA)
  D SET("-------------------------------",.SCINC,.SCDATA)
- S SCI=0 F  S SCI=$O(^SCTM(404.57,"E",SCID,SCI)) Q:'SCI  D
+ S SCI=0 F  S SCI=$O(^SCTM(404.57,"D",SCID,SCI)) Q:'SCI  D
  . S X=$G(^SCTM(404.57,SCI,0))
  . D SET("      Team: "_$P($G(^SCTM(404.51,+$P(X,U,2),0)),U),.SCINC,.SCDATA)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPEC.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPEC.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPEC.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPEC ;ALB/CMM - Detail List of Pts & Enroll Clinics ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,140,174,177,431,526,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,140,174,177,431**;AUG 13, 1993
  ;
  ;Detailed Listing of Patients and Their Enrolled Clinics Report
@@ -80,8 +80,8 @@
  Q
  ;
-PDATA(DFN,CLNEN,CNAME,FLAG) ;
+PDATA(DFN,CLNEN,FLAG) ;
  ;Collect and format data for report
  ;
- N NODE,NAME,PID,PELIG,MT,PSTAT,STATD,DATA,LAST,NEXT
+ N NODE,NAME,PID,PELIG,MT,PSTAT,STATD,DATA,LAST,NEXT,CEN,CNAME
  S DATA=""
  S NODE=$G(^DPT(DFN,0))
@@ -90,11 +90,15 @@
  S MT=$$LST^DGMTU(DFN),MT=$P(MT,"^",4)  ;means test status SD*5.3*431
  S PELIG=$$ELIG^SCRPU3(DFN) ;primary eligibility
- S PSTAT="N/A"
- S STATD=""
- S LAST=$$GETLAST^SCRPU3(DFN,.CLNEN) ;last Clinic appointment
- S NEXT=$$GETNEXT^SCRPU3(DFN,.CLNEN) ;next clinic appointment
- ;I '$D(FLAG) S DATA=$$FORMAT^SCRPEC2(PTIEN,INS,TIEN,PDATA,CNAME,CIEN)
- I '$D(FLAG) S DATA=$$FORMAT^SCRPEC2(NAME,PID,MT,PELIG,PSTAT,STATD,LAST,NEXT,CNAME),DATA=$E(NAME,1,12)_"^"_DATA
- I $D(FLAG) S DATA=$E(NAME,1,12)_"^"_PID_"^"_MT_"^"_PELIG_"^"_PSTAT_"^"_STATD_"^"_LAST_"^"_NEXT
+ ;
+ S CNAME=$P($G(^SC(CLNEN,0)),"^")
+ S CEN=+$O(^DPT(DFN,"DE","B",CLNEN,""))
+ S NODE=$G(^DPT(DFN,"DE",CEN,1,1,0))
+ S PSTAT=$P(NODE,"^",2) S PSTAT=PSTAT_$S(PSTAT="A":"C",PSTAT="O":"PT",1:"") ;opt or ac status
+ I $P(NODE,"^")="" S STATD=""
+ I $P(NODE,"^")'="" S STATD=$TR($$FMTE^XLFDT($P(NODE,"^"),"5DF")," ","0") ;enrollment date
+ S LAST=$$GETLAST^SCRPU3(DFN,CLNEN) ;last clinic appointment
+ S NEXT=$$GETNEXT^SCRPU3(DFN,CLNEN) ;next clinic appointment
+ I '$D(FLAG) S DATA=$$FORMAT^SCRPEC2(NAME,PID,MT,PELIG,PSTAT,STATD,LAST,NEXT,CNAME),DATA=$E(NAME,1,20)_"^"_DATA
+ I $D(FLAG) S DATA=$E(NAME,1,20)_"^"_PID_"^"_MT_"^"_PELIG_"^"_PSTAT_"^"_STATD_"^"_LAST_"^"_NEXT
  Q DATA
  ;
